package info.frostfs.sdk.jdo.parameters;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.time.Duration;
import java.time.LocalDateTime;

@Getter
@AllArgsConstructor
public class PrmWait {
    private static final Duration DEFAULT_TIMEOUT = Duration.ofSeconds(120);
    private static final Duration DEFAULT_POLL_INTERVAL = Duration.ofSeconds(5);

    private final Duration timeout;
    private final Duration pollInterval;

    public PrmWait() {
        this.timeout = DEFAULT_TIMEOUT;
        this.pollInterval = DEFAULT_POLL_INTERVAL;
    }

    public LocalDateTime getDeadline() {
        return LocalDateTime.now().plus(timeout);
    }
}
