package info.frostfs.sdk.jdo.parameters.object;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.dto.object.ObjectFilter;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmObjectSearch implements SessionContext {
    @NotNull
    private ContainerId containerId;
    @NotNull
    private ObjectFilter<?>[] filters;

    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmObjectSearch(ContainerId containerId, ObjectFilter<?>... filters) {
        this.containerId = containerId;
        this.filters = filters;
    }
}
