package info.frostfs.sdk.jdo.parameters.object.patch;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.dto.object.ObjectId;
import info.frostfs.sdk.dto.object.patch.Range;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmRangeGet implements SessionContext {
    @NotNull
    private ContainerId containerId;
    @NotNull
    private ObjectId objectId;
    @NotNull
    private Range range;

    private boolean raw;
    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmRangeGet(ContainerId containerId, ObjectId objectId, Range range) {
        this.containerId = containerId;
        this.objectId = objectId;
        this.range = range;
    }
}
