package info.frostfs.sdk.jdo.parameters.object.patch;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.dto.object.ObjectId;
import info.frostfs.sdk.dto.object.patch.Range;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.List;
import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmRangeHashGet implements SessionContext {
    @NotNull
    private ContainerId containerId;
    @NotNull
    private ObjectId objectId;
    @NotNull
    private List<Range> ranges;
    @NotNull
    private byte[] salt;

    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmRangeHashGet(ContainerId containerId, ObjectId objectId, List<Range> ranges, byte[] salt) {
        this.containerId = containerId;
        this.objectId = objectId;
        this.ranges = ranges;
        this.salt = salt;
    }
}
