package info.frostfs.sdk.jdo.pool;

import info.frostfs.sdk.jdo.ECDsa;
import info.frostfs.sdk.pool.ClientWrapper;
import io.grpc.ClientInterceptors;
import io.netty.channel.ChannelOption;
import lombok.Getter;
import lombok.Setter;
import org.slf4j.Logger;

import java.util.ArrayList;
import java.util.Collection;
import java.util.function.Function;

@Getter
@Setter
public class PoolInitParameters {
    private ECDsa key;

    private long nodeDialTimeout;

    private long nodeStreamTimeout;

    private long healthCheckTimeout;

    private long clientRebalanceInterval;

    private long sessionExpirationDuration;

    private int errorThreshold;

    private NodeParameters[] nodeParams;

    private ChannelOption<?>[] dialOptions;

    private Function<String, ClientWrapper> clientBuilder;

    private long gracefulCloseOnSwitchTimeout;

    private Logger logger;

    private Collection<ClientInterceptors> interceptors = new ArrayList<>();
}

