package info.frostfs.sdk.services;

import info.frostfs.sdk.dto.object.ObjectFrostFS;
import info.frostfs.sdk.dto.object.ObjectId;
import info.frostfs.sdk.jdo.parameters.CallContext;
import info.frostfs.sdk.jdo.parameters.object.*;
import info.frostfs.sdk.jdo.parameters.object.patch.PrmObjectPatch;
import info.frostfs.sdk.jdo.parameters.object.patch.PrmRangeGet;
import info.frostfs.sdk.jdo.parameters.object.patch.PrmRangeHashGet;
import info.frostfs.sdk.jdo.result.ObjectHeaderResult;
import info.frostfs.sdk.services.impl.rwhelper.ObjectWriter;
import info.frostfs.sdk.services.impl.rwhelper.RangeReader;

public interface ObjectClient {
    ObjectHeaderResult getObjectHead(PrmObjectHeadGet args, CallContext ctx);

    ObjectFrostFS getObject(PrmObjectGet args, CallContext ctx);

    ObjectWriter putObject(PrmObjectPut args, CallContext ctx);

    ObjectId putClientCutObject(PrmObjectClientCutPut args, CallContext ctx);

    ObjectId putSingleObject(PrmObjectSinglePut args, CallContext ctx);

    void deleteObject(PrmObjectDelete args, CallContext ctx);

    Iterable<ObjectId> searchObjects(PrmObjectSearch args, CallContext ctx);

    RangeReader getRange(PrmRangeGet args, CallContext ctx);

    byte[][] getRangeHash(PrmRangeHashGet args, CallContext ctx);

    ObjectId patchObject(PrmObjectPatch args, CallContext ctx);
}
