package info.frostfs.sdk.services.impl.rwhelper;

import frostfs.object.Service;
import info.frostfs.sdk.tools.Verifier;

import java.util.Iterator;

public class RangeReader {
    public Iterator<Service.GetRangeResponse> call;

    public RangeReader(Iterator<Service.GetRangeResponse> call) {
        this.call = call;
    }

    public byte[] readChunk() {
        if (!call.hasNext()) {
            return null;
        }

        var response = call.next();
        Verifier.checkResponse(response);

        return response.getBody().getChunk().toByteArray();
    }
}
