package info.frostfs.sdk.testgenerator;

import frostfs.accounting.Service;
import frostfs.accounting.Types;

public class AccountingGenerator {

    public static Service.BalanceRequest generateBalanceRequest() {
        return Service.BalanceRequest.newBuilder()
                .setBody(generateBalanceRequestBody())
                .setMetaHeader(SessionGenerator.generateRequestMetaHeader())
                .setVerifyHeader(SessionGenerator.generateRequestVerificationHeader())
                .build();
    }

    public static Service.BalanceRequest.Body generateBalanceRequestBody() {
        return Service.BalanceRequest.Body.newBuilder()
                .setOwnerId(RefsGenerator.generateOwnerID())
                .build();
    }

    public static Service.BalanceResponse generateBalanceResponse() {
        return Service.BalanceResponse.newBuilder()
                .setBody(generateBalanceResponseBody())
                .setMetaHeader(SessionGenerator.generateResponseMetaHeader())
                .setVerifyHeader(SessionGenerator.generateResponseVerificationHeader())
                .build();
    }

    public static Service.BalanceResponse.Body generateBalanceResponseBody() {
        return Service.BalanceResponse.Body.newBuilder()
                .setBalance(generateDecimal())
                .build();
    }

    public static Types.Decimal generateDecimal() {
        return Types.Decimal.newBuilder()
                .setValue(1)
                .setPrecision(2)
                .build();
    }
}
