package info.frostfs.sdk;

import info.frostfs.sdk.exceptions.ValidationFrostFSException;

import static info.frostfs.sdk.constants.ErrorConst.SOME_PARAM_IS_MISSING;
import static java.util.Objects.isNull;

public class ArrayHelper {
    private ArrayHelper() {
    }

    public static byte[] concat(byte[] startArray, byte[] endArray) {
        if (isNull(startArray) || isNull(endArray)) {
            throw new ValidationFrostFSException(SOME_PARAM_IS_MISSING);
        }

        byte[] joinedArray = new byte[startArray.length + endArray.length];

        System.arraycopy(startArray, 0, joinedArray, 0, startArray.length);
        System.arraycopy(endArray, 0, joinedArray, startArray.length, endArray.length);
        return joinedArray;
    }
}
