package info.frostfs.sdk.dto.ape;

import info.frostfs.sdk.enums.RuleStatus;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Rule {
    private RuleStatus status;

    // Actions the operation is applied to.
    private Actions actions;

    // List of the resources the operation is applied to.
    private Resources resources;

    // True if individual conditions must be combined with the logical OR.
    // By default, AND is used, so _each_ condition must pass.
    private boolean any;

    private Condition[] conditions;
}
