package info.frostfs.sdk.dto.container;

import info.frostfs.sdk.dto.netmap.PlacementPolicy;
import info.frostfs.sdk.dto.netmap.Version;
import info.frostfs.sdk.dto.object.OwnerId;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Getter
@Setter
@AllArgsConstructor
public class Container {
    private UUID nonce;
    private PlacementPolicy placementPolicy;
    private Version version;
    private OwnerId ownerId;
    private Map<String, String> attributes = new HashMap<>();

    public Container(PlacementPolicy placementPolicy) {
        this.nonce = UUID.randomUUID();
        this.placementPolicy = placementPolicy;
    }
}
