package info.frostfs.sdk.dto.netmap;

import info.frostfs.sdk.enums.NodeState;
import lombok.Getter;

import java.util.Collections;
import java.util.List;
import java.util.Map;

@Getter
public class NodeInfo {
    private final NodeState state;
    private final Version version;
    private final List<String> addresses;
    private final Map<String, String> attributes;
    private final byte[] publicKey;

    public NodeInfo(NodeState state, Version version, List<String> addresses,
                    Map<String, String> attributes, byte[] publicKey) {
        this.state = state;
        this.version = version;
        this.addresses = Collections.unmodifiableList(addresses);
        this.attributes = Collections.unmodifiableMap(attributes);
        this.publicKey = publicKey;
    }
}
