package info.frostfs.sdk.dto.netmap;

import info.frostfs.sdk.exceptions.ValidationFrostFSException;
import lombok.Getter;
import lombok.experimental.FieldNameConstants;
import org.apache.commons.lang3.StringUtils;

import static info.frostfs.sdk.constants.ErrorConst.INPUT_PARAM_GREATER_ZERO;
import static info.frostfs.sdk.constants.FieldConst.EMPTY_STRING;

@Getter
@FieldNameConstants
public class Replica {
    private final int count;
    private final String selector;

    public Replica(int count, String selector) {
        if (count <= 0) {
            throw new ValidationFrostFSException(
                    String.format(INPUT_PARAM_GREATER_ZERO, Fields.count)
            );
        }

        this.count = count;
        this.selector = StringUtils.isEmpty(selector) ? EMPTY_STRING : selector;
    }

    public Replica(int count) {
        if (count <= 0) {
            throw new ValidationFrostFSException(
                    String.format(INPUT_PARAM_GREATER_ZERO, Fields.count)
            );
        }


        this.count = count;
        this.selector = EMPTY_STRING;
    }
}
