package info.frostfs.sdk.dto.netmap;

import lombok.AllArgsConstructor;
import lombok.Getter;

import static info.frostfs.sdk.constants.AppConst.DEFAULT_MAJOR_VERSION;
import static info.frostfs.sdk.constants.AppConst.DEFAULT_MINOR_VERSION;
import static java.util.Objects.isNull;

@Getter
@AllArgsConstructor
public class Version {
    private final int major;
    private final int minor;

    public Version() {
        this.major = DEFAULT_MAJOR_VERSION;
        this.minor = DEFAULT_MINOR_VERSION;
    }

    @Override
    public String toString() {
        return "v" + major + "." + minor;
    }

    public boolean isSupported(Version version) {
        if (isNull(version)) {
            return false;
        }

        return major == version.getMajor();
    }
}
