package info.frostfs.sdk.dto.object;

import info.frostfs.sdk.dto.container.ContainerId;
import org.apache.commons.collections4.CollectionUtils;

import java.util.List;

public class LinkObject extends ObjectFrostFS {

    public LinkObject(ContainerId cid, SplitId splitId, ObjectHeader largeObjectHeader) {
        super(cid, new byte[]{});
        var split = new Split(splitId);
        split.setParentHeader(largeObjectHeader);
        this.getHeader().setSplit(split);
    }

    public void addChildren(List<ObjectId> objectIds) {
        if (CollectionUtils.isEmpty(objectIds)) {
            return;
        }

        this.getHeader().getSplit().getChildren().addAll(objectIds);
    }
}
