package info.frostfs.sdk.dto.object;

import info.frostfs.sdk.exceptions.ValidationFrostFSException;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import static info.frostfs.sdk.constants.ErrorConst.SOME_PARAM_IS_MISSING;

@Getter
public class ObjectAttribute {
    private final String key;
    private final String value;

    public ObjectAttribute(String key, String value) {
        if (StringUtils.isEmpty(key) || StringUtils.isEmpty(value)) {
            throw new ValidationFrostFSException(SOME_PARAM_IS_MISSING);
        }

        this.key = key;
        this.value = value;
    }
}
