package info.frostfs.sdk.dto.object;

import info.frostfs.sdk.exceptions.ValidationFrostFSException;
import io.neow3j.crypto.Base58;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import static info.frostfs.sdk.constants.ErrorConst.INPUT_PARAM_IS_MISSING_TEMPLATE;

@Getter
public class OwnerId {
    private final String value;

    public OwnerId(String value) {
        if (StringUtils.isBlank(value)) {
            throw new ValidationFrostFSException(
                    String.format(INPUT_PARAM_IS_MISSING_TEMPLATE, OwnerId.class.getName())
            );
        }

        this.value = value;
    }

    public byte[] toHash() {
        return Base58.decode(value);
    }

    @Override
    public String toString() {
        return value;
    }
}
