package info.frostfs.sdk.dto.object;

import frostfs.refs.Types;
import info.frostfs.sdk.dto.response.Signature;
import info.frostfs.sdk.exceptions.ValidationFrostFSException;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

import static info.frostfs.sdk.constants.ErrorConst.INPUT_PARAM_IS_MISSING_TEMPLATE;
import static java.util.Objects.isNull;

@Getter
@Setter
public class Split {
    private final List<ObjectId> children;
    private final SplitId splitId;
    private ObjectId parent;
    private ObjectId previous;
    private Signature parentSignature;
    private ObjectHeader parentHeader;
    private Types.Signature parentSignatureGrpc;

    public Split() {
        this(new SplitId());
    }

    public Split(SplitId splitId) {
        if (isNull(splitId)) {
            throw new ValidationFrostFSException(
                    String.format(INPUT_PARAM_IS_MISSING_TEMPLATE, SplitId.class.getName())
            );
        }

        this.splitId = splitId;
        this.children = new ArrayList<>();
    }
}
