package info.frostfs.sdk.dto.object;

import lombok.Getter;

import java.util.UUID;

import static info.frostfs.sdk.UuidExtension.asBytes;
import static info.frostfs.sdk.UuidExtension.asUuid;
import static java.util.Objects.isNull;

@Getter
public class SplitId {
    private final UUID id;

    public SplitId() {
        this.id = UUID.randomUUID();
    }

    public SplitId(UUID uuid) {
        this.id = uuid;
    }

    public SplitId(byte[] binary) {
        this.id = asUuid(binary);
    }

    public SplitId(String string) {
        this.id = UUID.fromString(string);
    }

    @Override
    public String toString() {
        return id.toString();
    }

    public byte[] toBinary() {
        return isNull(id) ? null : asBytes(id);
    }
}
