package info.frostfs.sdk.dto.response;

import info.frostfs.sdk.enums.StatusCode;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;

import static info.frostfs.sdk.constants.FieldConst.EMPTY_STRING;

@Getter
@Setter
public class ResponseStatus {
    private StatusCode code;
    private String message;
    private String details;

    public ResponseStatus(StatusCode code, String message, String details) {
        this.code = code;
        this.message = StringUtils.isBlank(message) ? EMPTY_STRING : message;
        this.details = StringUtils.isBlank(details) ? EMPTY_STRING : details;
    }

    public ResponseStatus(StatusCode code) {
        this.code = code;
        this.message = EMPTY_STRING;
    }

    @Override
    public String toString() {
        return String.format("Response status: %s. Message: %s. Details: %s", code, message, details);
    }

    public boolean isSuccess() {
        return StatusCode.SUCCESS.equals(code);
    }
}
