package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum ConditionKindType {
    RESOURCE(0),
    REQUEST(1),
    ;

    private static final Map<Integer, ConditionKindType> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, ConditionKindType> map = new HashMap<>();
        for (ConditionKindType conditionKindType : ConditionKindType.values()) {
            map.put(conditionKindType.value, conditionKindType);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    ConditionKindType(int value) {
        this.value = value;
    }

    public static ConditionKindType get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
