package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum FilterOperation {
    OPERATION_UNSPECIFIED(0),
    EQ(1),
    NE(2),
    GT(3),
    GE(4),
    LT(5),
    LE(6),
    OR(7),
    AND(8),
    NOT(9),
    LIKE(10),
    ;

    private static final Map<Integer, FilterOperation> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, FilterOperation> map = new HashMap<>();
        for (FilterOperation nodeState : FilterOperation.values()) {
            map.put(nodeState.value, nodeState);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    FilterOperation(int value) {
        this.value = value;
    }

    public static FilterOperation get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
