package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum NodeState {
    UNSPECIFIED(0),
    ONLINE(1),
    OFFLINE(2),
    MAINTENANCE(3),
    ;

    private static final Map<Integer, NodeState> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, NodeState> map = new HashMap<>();
        for (NodeState nodeState : NodeState.values()) {
            map.put(nodeState.value, nodeState);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    NodeState(int value) {
        this.value = value;
    }

    public static NodeState get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
