package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum ObjectType {
    REGULAR(0),
    TOMBSTONE(1),
    LOCK(3),
    ;

    private static final Map<Integer, ObjectType> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, ObjectType> map = new HashMap<>();
        for (ObjectType objectType : ObjectType.values()) {
            map.put(objectType.value, objectType);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    ObjectType(int value) {
        this.value = value;
    }

    public static ObjectType get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
