package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum RuleMatchType {
    // DENY_PRIORITY rejects the request if any `Deny` is specified.
    DENY_PRIORITY(0),

    // FIRST_MATCH returns the first rule action matched to the request.
    FIRST_MATCH(1),
    ;

    private static final Map<Integer, RuleMatchType> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, RuleMatchType> map = new HashMap<>();
        for (RuleMatchType ruleMatchType : RuleMatchType.values()) {
            map.put(ruleMatchType.value, ruleMatchType);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    RuleMatchType(int value) {
        this.value = value;
    }

    public static RuleMatchType get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
