package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum RuleStatus {
    ALLOW(0),
    NO_RULE_FOUND(1),
    ACCESS_DENIED(2),
    QUOTA_LIMIT_REACHED(3),
    ;

    private static final Map<Integer, RuleStatus> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, RuleStatus> map = new HashMap<>();
        for (RuleStatus ruleStatus : RuleStatus.values()) {
            map.put(ruleStatus.value, ruleStatus);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    RuleStatus(int value) {
        this.value = value;
    }

    public static RuleStatus get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
