package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum SelectorClause {
    CLAUSE_UNSPECIFIED(0),
    SAME(1),
    DISTINCT(2),
    ;

    private static final Map<Integer, SelectorClause> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, SelectorClause> map = new HashMap<>();
        for (SelectorClause nodeState : SelectorClause.values()) {
            map.put(nodeState.value, nodeState);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    SelectorClause(int value) {
        this.value = value;
    }

    public static SelectorClause get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
