package info.frostfs.sdk.enums;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public enum TargetType {
    UNDEFINED(0),
    NAMESPACE(1),
    CONTAINER(2),
    USER(3),
    GROUP(4),
    ;

    private static final Map<Integer, TargetType> ENUM_MAP_BY_VALUE;

    static {
        Map<Integer, TargetType> map = new HashMap<>();
        for (TargetType targetType : TargetType.values()) {
            map.put(targetType.value, targetType);
        }
        ENUM_MAP_BY_VALUE = Collections.unmodifiableMap(map);
    }

    public final int value;

    TargetType(int value) {
        this.value = value;
    }

    public static TargetType get(int value) {
        return ENUM_MAP_BY_VALUE.get(value);
    }
}
