package info.frostfs.sdk.mappers.netmap;

import frostfs.netmap.Service;
import info.frostfs.sdk.dto.netmap.NetmapSnapshot;

import java.util.stream.Collectors;

import static java.util.Objects.isNull;

public class NetmapSnapshotMapper {
    private NetmapSnapshotMapper() {
    }

    public static NetmapSnapshot toModel(Service.NetmapSnapshotResponse netmap) {
        if (isNull(netmap) || netmap.getSerializedSize() == 0) {
            return null;
        }

        return new NetmapSnapshot(
                netmap.getBody().getNetmap().getEpoch(),
                netmap.getBody().getNetmap().getNodesList().stream()
                        .map(node -> NodeInfoMapper.toModel(node, netmap.getMetaHeader().getVersion()))
                        .collect(Collectors.toList())
        );
    }
}
