package info.frostfs.sdk.mappers.object;

import com.google.protobuf.ByteString;
import frostfs.refs.Types;
import info.frostfs.sdk.dto.object.OwnerId;
import io.neow3j.crypto.Base58;

import static java.util.Objects.isNull;

public class OwnerIdMapper {
    private OwnerIdMapper() {
    }

    public static Types.OwnerID toGrpcMessage(OwnerId ownerId) {
        if (isNull(ownerId)) {
            return null;
        }

        return Types.OwnerID.newBuilder()
                .setValue(ByteString.copyFrom(ownerId.toHash()))
                .build();
    }

    public static OwnerId toModel(Types.OwnerID ownerId) {
        if (isNull(ownerId) || ownerId.getSerializedSize() == 0) {
            return null;
        }

        return new OwnerId(Base58.encode(ownerId.getValue().toByteArray()));
    }
}
