package info.frostfs.sdk.mappers.object.patch;

import frostfs.object.Service;
import info.frostfs.sdk.dto.object.patch.Range;
import org.apache.commons.collections4.CollectionUtils;

import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

import static java.util.Objects.isNull;

public class RangeMapper {
    private RangeMapper() {
    }

    public static List<Service.Range> toGrpcMessages(List<Range> ranges) {
        if (CollectionUtils.isEmpty(ranges)) {
            return Collections.emptyList();
        }

        return ranges.stream().map(RangeMapper::toGrpcMessage).collect(Collectors.toList());
    }

    public static Service.Range toGrpcMessage(Range range) {
        if (isNull(range)) {
            return null;
        }

        return Service.Range.newBuilder()
                .setOffset(range.getOffset())
                .setLength(range.getLength())
                .build();
    }
}
