package info.frostfs.sdk.mappers.object.patch;

import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.dto.object.ObjectId;
import info.frostfs.sdk.dto.object.patch.Address;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

public class AddressMapperTest {

    @Test
    void toGrpcMessage_success() {
        //Given
        var objectId = new ObjectId("85orCLKSu3X1jGiTFmwmTUsBU88RBARNwuRwrEy5pyww");
        var containerId = new ContainerId("EQGx2QeYHJb53uRwYGzcQaW191sZpdNrjutk6veUSV2R");
        var address = new Address(objectId, containerId);

        //When
        var result = AddressMapper.toGrpcMessage(address);

        //Then
        assertNotNull(result);
        assertEquals(
                address.getContainerId().getValue(),
                new ContainerId(result.getContainerId().getValue().toByteArray()).getValue()
        );
        assertEquals(
                address.getObjectId().getValue(),
                new ObjectId(result.getObjectId().getValue().toByteArray()).getValue()
        );
    }

    @Test
    void toGrpcMessage_null() {
        //When + Then
        assertNull(AddressMapper.toGrpcMessage(null));
    }
}
